Opened 13 years ago

Closed 13 years ago

#222 closed defect (fixed)

Time is incorrect

Reported by: Peter Johansson Owned by: Peter Johansson
Priority: major Milestone: 0.6
Component: core Version: trunk
Keywords: Cc:

Description

For example in recent log it says peter Jun 27 00:08:25 2007 395 font color shading depending on age of line in blame output (refs #160). Yet to ...

OTH using cmd svn log results in: r395 | peter | 2007-06-27 01:08:25 +0200 (Wed, 27 Jun 2007) | 1 line

There is a difference of one hour. The latter time is in local time (ECT daylight saving). The first time is supposed to be in UTC. Hence we expect the difference to be 2 hours (which is the +0200 in cmd svn log).

The date string returned from SVNlog class is 2007-06-26T23:08:25.939444Z

In other words the error occurs somewhere in Date class.

Change History (2)

comment:1 Changed 13 years ago by Peter Johansson

Milestone: 0.6

comment:2 Changed 13 years ago by Peter Johansson

Resolution: fixed
Status: newclosed

(In [396]) fixed bug in time output, fixes #222

Note: See TracTickets for help on using tickets.